package com.me.brickbuster.entity.powerup;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.math.MathUtils;
import com.badlogic.gdx.math.Vector2;
import com.me.brickbuster.entity.Ball;
import com.me.brickbuster.entity.Paddle;
import com.me.brickbuster.state.PlayState;

public class MultiBallPowerUp extends PowerUp {

	private Vector2 pos;

	public MultiBallPowerUp(PlayState state, Vector2 brick, Color color) {
		super(state, brick, color);
		this.pos = getPos().cpy();
	}

	@Override
	public void activate() {
		for (int x = 0; x < 2; x++) {
			Ball ball = new Ball((PlayState) state);
			ball.launch();
			((PlayState) state).balls.add(ball);
		}
	}
}
